| Home | Libraries | People | FAQ | More

## Function template operator<<

boost::units::operator<<

## Synopsis

    // In header: <boost/units/io.hpp>

    template<typename Char, typename Traits, typename Dimension, typename System>
      std::basic_ostream< Char, Traits > &
      operator<<(std::basic_ostream< Char, Traits > & os,
                 const unit< Dimension, System > & u);

## Description

Print a `unit` as a list of base units and their exponents. for @c symbol_format outputs e.g. "m s^-1" or "J". for @c name_format outputs e.g. "meter second^-1" or "joule". for @c raw_format outputs e.g. "m s^-1" or "meter kilogram^2 second^-2". for @c typename_format outputs the typename itself (currently demangled only on GCC).